<?php

namespace FiloBlu\LookProduct\Observer;

use Magento\Framework\Event\Observer as EventObserver;
use Magento\Framework\Event\ObserverInterface;

class CatalogProductCollectionLoadAfter implements ObserverInterface {

    protected $_helper;

    public function __construct(
    \FiloBlu\LookProduct\Helper\Data $helper
    ) {
        $this->_helper = $helper;
    }

    public function execute(EventObserver $observer) {

        $collection = $observer->getEvent()->getCollection();

        foreach ($collection as $product) {

            $_canDisableShopSingleProduct = ($product->getTypeId() == "look_product");

            if ($_canDisableShopSingleProduct) {
                $product->setDisableAddToCart(true);
                //$product->setIsSalable(false); ????
            }

            $_canHidePriceSingleProduct = ($product->getTypeId() == "look_product");

            if ($_canHidePriceSingleProduct) {
                $product->setCanShowPrice(false);
            }
        }
    }

}
